commit 2a4b0092c3899e08199cfc0666b07ca8b131986f
Author: Katja Luther <k.luther@bgbm.org>
Date:   Mon Oct 15 10:29:18 2018 +0200

    ref #7793: show supplemental data for distribution editor and smaller bugfix for distribution editor preferences

diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/e4/ChecklistEditorE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/e4/ChecklistEditorE4.java
index 0fd292790..cb6e0eacf 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/e4/ChecklistEditorE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/checklist/e4/ChecklistEditorE4.java
@@ -77,6 +77,7 @@ import eu.etaxonomy.taxeditor.editor.view.checklist.listener.ChecklistFocusListe
 import eu.etaxonomy.taxeditor.editor.view.checklist.listener.ChecklistModifyListener;
 import eu.etaxonomy.taxeditor.model.IDirtyMarkable;
 import eu.etaxonomy.taxeditor.model.IPartContentHasDetails;
+import eu.etaxonomy.taxeditor.model.IPartContentHasSupplementalData;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 import eu.etaxonomy.taxeditor.preference.Resources;
 import eu.etaxonomy.taxeditor.preference.wizard.AvailableDistributionWizard;
@@ -90,7 +91,7 @@ import eu.etaxonomy.taxeditor.workbench.part.IE4SavablePart;
  *
  */
 public class ChecklistEditorE4 implements  IConversationEnabled,
-       IDirtyMarkable, IPartContentHasDetails, IE4SavablePart, IDistributionEditor{
+       IDirtyMarkable, IPartContentHasDetails, IE4SavablePart, IDistributionEditor, IPartContentHasSupplementalData{
 
     private static final String DISTRIBUTION_EDITOR = "Distribution Editor";
 	private static final String LOADING_TAXA = Messages.ChecklistEditor_LOAD_TAXA;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ChecklistEditorGeneralPreference.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ChecklistEditorGeneralPreference.java
index 843717d39..33e7c60ed 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ChecklistEditorGeneralPreference.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ChecklistEditorGeneralPreference.java
@@ -282,7 +282,7 @@ public class ChecklistEditorGeneralPreference extends CdmPreferencePage implemen
         PreferencesUtil.setShowSymbolInChecklistEditor(isShowSymbol);
 
         if (isShowIdInVocabulary){
-            displayString = IPreferenceKeys.CHECKLIST_AREA_DISPLAY_TITLE;
+            displayString = IPreferenceKeys.CHECKLIST_AREA_DISPLAY_ID_IN_VOCABULARY;
         }else if (isShowSymbol1){
             displayString = IPreferenceKeys.CHECKLIST_AREA_DISPLAY_SYMBOL1;
         }else if (isShowSymbol2){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java
index d89baa76c..e0a911ab6 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java
@@ -29,6 +29,7 @@ import org.eclipse.swt.widgets.Composite;
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
 import eu.etaxonomy.cdm.ext.occurrence.gbif.GbifResponse;
 import eu.etaxonomy.cdm.model.common.ICdmBase;
+import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.PolytomousKeyNode;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationship;
@@ -112,7 +113,10 @@ public class SupplementalDataPartE4 extends AbstractCdmEditorPartE4 {
 	        }
 	        else if(structuredSelection.getFirstElement() instanceof GbifResponse){
 	            structuredSelection = new StructuredSelection(((GbifResponse)structuredSelection.getFirstElement()).getDerivedUnitFacade().innerDerivedUnit());
-	        }
+	        } else if(structuredSelection.getFirstElement() instanceof DescriptionElementBase ){
+                structuredSelection = new StructuredSelection((structuredSelection.getFirstElement()));
+            }
+
 
 	        if(!(structuredSelection.getFirstElement() instanceof ICdmBase)){
 	            showEmptyPage();