commit def92f176e8b6ef48254ea473f3c56a8a63d299b
Author: Cherian Mathew <c.mathew@bgbm.org>
Date:   Wed Feb 12 16:58:37 2014 +0000

    removing aspetcj capability and reverting to default

diff --git a/.gitattributes b/.gitattributes
index c296a7b01..70efa9794 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -1630,7 +1630,6 @@ eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/supplemen
 eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/supplementaldata/SupplementalDataViewer.java -text
 eu.etaxonomy.taxeditor.store/src/main/java/org/eclipse/wb/swt/ResourceManager.java -text
 eu.etaxonomy.taxeditor.store/src/main/java/org/eclipse/wb/swt/SWTResourceManager.java -text
-eu.etaxonomy.taxeditor.store/src/main/resources/config.properties -text
 eu.etaxonomy.taxeditor.store/src/main/resources/eu/etaxonomy/cdm/editorApplicationContext.xml -text
 eu.etaxonomy.taxeditor.store/src/main/resources/log4j.properties -text
 eu.etaxonomy.taxeditor.store/src/test/java/eu/etaxonomy/taxeditor/store/NameProtectTitleCacheTest.java -text
diff --git a/eu.etaxonomy.taxeditor.cdmlib/.project b/eu.etaxonomy.taxeditor.cdmlib/.project
index 63767411d..2d7facc3c 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/.project
+++ b/eu.etaxonomy.taxeditor.cdmlib/.project
@@ -6,7 +6,7 @@
 	</projects>
 	<buildSpec>
 		<buildCommand>
-			<name>org.eclipse.ajdt.core.ajbuilder</name>
+			<name>org.eclipse.jdt.core.javabuilder</name>
 			<arguments>
 			</arguments>
 		</buildCommand>
@@ -22,7 +22,6 @@
 		</buildCommand>
 	</buildSpec>
 	<natures>
-		<nature>org.eclipse.ajdt.ui.ajnature</nature>
 		<nature>org.eclipse.jdt.core.javanature</nature>
 		<nature>org.eclipse.pde.PluginNature</nature>
 	</natures>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 7b5109bdd..9ed7957b8 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -397,8 +397,7 @@ Export-Package: com.google.api,
 Bundle-Vendor: EDIT
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.eclipse.osgi,
- org.eclipse.equinox.common,
- org.aspectj.runtime
+ org.eclipse.equinox.common
 Bundle-ClassPath: .,
  lib/activation-1.1.1.jar,
  lib/antlr-2.7.7.jar,
diff --git a/eu.etaxonomy.taxeditor.store/src/main/resources/config.properties b/eu.etaxonomy.taxeditor.store/src/main/resources/config.properties
deleted file mode 100644
index 85f6c1cca..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/resources/config.properties
+++ /dev/null
@@ -1,2 +0,0 @@
-serverName=localhost:8080
-contextPath=
diff --git a/eu.etaxonomy.taxeditor.store/src/main/resources/eu/etaxonomy/cdm/editorApplicationContext.xml b/eu.etaxonomy.taxeditor.store/src/main/resources/eu/etaxonomy/cdm/editorApplicationContext.xml
index 14bb1278b..01a1d00df 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/resources/eu/etaxonomy/cdm/editorApplicationContext.xml
+++ b/eu.etaxonomy.taxeditor.store/src/main/resources/eu/etaxonomy/cdm/editorApplicationContext.xml
@@ -7,15 +7,15 @@
     http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-2.5.xsd
     http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-2.5.xsd">
 
-  <import resource="classpath:/eu/etaxonomy/cdm/defaultApplicationContext.xml"/> 
-  <!--import resource="classpath:/eu/etaxonomy/cdm/remotingApplicationContext.xml"/>-->
+  <!-- Default application context and term initializer -->
+  <import resource="classpath:/eu/etaxonomy/cdm/defaultApplicationContext.xml"/>
+   <bean id="persistentTermInitializer" class="eu.etaxonomy.cdm.database.PersistentTermInitializer">
+    <property name="omit" value="false" />
+  </bean>
   
-   <!-- <bean id="persistentTermInitializer" class="eu.etaxonomy.cdm.database.PersistentTermInitializer">
-    <property name="omit" value="false" />
-  </bean> -->
-   
-  <!-- <bean id="remoteTermInitializer" class="eu.etaxonomy.cdm.remote.service.RemoteTermInitializer">    
-  </bean> -->
+  <!-- Remote application context and term initializer -->
+<!--  <import resource="classpath:/eu/etaxonomy/cdm/remotingApplicationContext.xml"/>-->
+<!--  <bean id="remoteTermInitializer" class="eu.etaxonomy.cdm.remote.service.RemoteTermInitializer"/>-->
   
     
   <import resource="classpath:/eu/etaxonomy/cdm/remote.xml"/>