commit d95dc7372116f9be75116008c36d53d378d70fc7
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Thu Sep 20 09:37:26 2018 +0200

    fix #7776 Add sources to details view for specimen descriptions

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsViewerE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsViewerE4.java
index 0803a9748..58b1500da 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsViewerE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsViewerE4.java
@@ -269,7 +269,7 @@ public class DetailsViewerE4 extends AbstractCdmDataViewerE4 {
                 } else if (isUseDescription) {
                     createUseDescriptionSection(rootElement);
                 } else {
-                    createDescriptionSection(rootElement);
+                    createTaxonDescriptionSection(rootElement);
 
                 }
             }
@@ -571,40 +571,37 @@ public class DetailsViewerE4 extends AbstractCdmDataViewerE4 {
         addPart(descriptionElementMediaSection);
     }
 
-    private void createDescriptionSection(RootElement parent) {
+    private void createDescriptionSection(RootElement parent, boolean isTaxonDescription) {
         destroySections();
         DescriptionDetailSection descriptionDetailSection = formFactory.createDescriptionDetailSection(getConversationHolder(), parent, this, ExpandableComposite.TWISTIE | ExpandableComposite.EXPANDED);
+        addPart(descriptionDetailSection);
 
         formFactory.createHorizontalSeparator(parent, SWT.BORDER);
 
-        NaturalLanguageSection naturalLanguageSection = formFactory.createNaturalLanguageSection(getConversationHolder(), parent, this, ExpandableComposite.TWISTIE | ExpandableComposite.EXPANDED);
-
-        formFactory.createHorizontalSeparator(parent, SWT.BORDER);
-
-        //        DescribedSpecimenSection describedSpecimenSection = formFactory.createDescribedSpecimenSection(getConversationHolder(), parent, ExpandableComposite.TWISTIE);
-        //
-        //        formFactory.createHorizontalSeparator(parent, SWT.BORDER);
-
+        if(isTaxonDescription) {
+            NaturalLanguageSection naturalLanguageSection = formFactory.createNaturalLanguageSection(
+                    getConversationHolder(), parent, this, ExpandableComposite.TWISTIE | ExpandableComposite.EXPANDED);
+            formFactory.createHorizontalSeparator(parent, SWT.BORDER);
+            addPart(naturalLanguageSection);
+        }
         DescriptionSourceSection descriptionSourceSection = formFactory.createDescriptionSourceSection(
                 getConversationHolder(), parent, ExpandableComposite.TWISTIE | ExpandableComposite.EXPANDED);
+        addPart(descriptionSourceSection);
 
         formFactory.createHorizontalSeparator(parent, SWT.BORDER);
 
-        ScopeSection scopeSection = formFactory.createScopeSection(getConversationHolder(), parent, ExpandableComposite.TWISTIE);
-
-        formFactory.createHorizontalSeparator(parent, SWT.BORDER);
+        if(isTaxonDescription) {
+            ScopeSection scopeSection = formFactory.createScopeSection(getConversationHolder(), parent, ExpandableComposite.TWISTIE);
+            addPart(scopeSection);
+        }
+    }
 
-        addPart(descriptionDetailSection);
-        addPart(naturalLanguageSection);
-        //        addPart(describedSpecimenSection);
-        addPart(descriptionSourceSection);
-        addPart(scopeSection);
+    private void createTaxonDescriptionSection(RootElement parent) {
+        createDescriptionSection(parent, true);
     }
 
     private void createSpecimenDescriptionSection(RootElement parent) {
-        destroySections();
-        DescriptionDetailSection descriptionDetailSection = formFactory.createDescriptionDetailSection(getConversationHolder(), parent, this, ExpandableComposite.TWISTIE | ExpandableComposite.EXPANDED);
-        addPart(descriptionDetailSection);
+        createDescriptionSection(parent, false);
     }
 
     private void createUseDescriptionSection(RootElement parent) {