commit ab6f97decf93a85f0e0961731577d94da3623112
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Sun Jan 12 01:05:38 2020 +0100

    cleanup

diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java
index 133ee148..955dcdca 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java
@@ -30,13 +30,13 @@ public class PesiExportActivatorFE {
 
 	private static final Logger logger = Logger.getLogger(PesiExportActivatorFE.class);
 
-	//database validation status (create, update, validate ...)
-//	static final Source pesiDestination = PesiDestinations.pesi_test_local_CDM_FE2PESI();
-	static final Source pesiDestination = PesiDestinations.pesi_test_local_CDM_FE2PESI_2();
 
 //	static final ICdmDataSource cdmSource = CdmDestinations.cdm_test_local_faunaEu_mysql();
 	static final ICdmDataSource cdmSource = CdmDestinations.cdm_test_local_pesi_leer();
 
+	static final Source pesiDestination = PesiDestinations.pesi_test_local_CDM_FE2PESI();
+//	static final Source pesiDestination = PesiDestinations.pesi_test_local_CDM_FE2PESI_2();
+
 	// ****************** ALL *****************************************
 
     boolean deleteAll = true;
@@ -92,12 +92,6 @@ public class PesiExportActivatorFE {
         config.setDoDescription(doDescriptions);
         config.setDoEcologyAndLink(doEcologyAndLink);
 
-//      config.setDoOccurrence(doOccurrence);
-//      config.setDoOccurrenceSource(doOccurrenceSource);
-//      config.setDoNotes(doNotes);
-//      config.setDoNoteSources(doNoteSources);
-//      config.setDoImages(doImage);
-
         config.setDoPureNames(doPureNames);
 
         config.setCheck(check);
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/validate/PesiErmsValidator.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/validate/PesiErmsValidator.java
index 6a0039f9..77085cff 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/validate/PesiErmsValidator.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/validate/PesiErmsValidator.java
@@ -346,7 +346,7 @@ public class PesiErmsValidator extends PesiValidatorBase {
         success &= isNull("ExpertName", destRS, id);  //only relevant after merge
         success &= isNull("SpeciesExpertGUID", destRS, id);  //only relevant after merge
         success &= equals("Taxon cache citation", srcRS.getString("cache_citation"), destRS.getString("CacheCitation"), id);
-        //LastAction(Date) handled in separate method
+        //SpeciesExpertName, LastAction and LastActionDate handled in separate method
         success &= isNull("GUID2", destRS, id);  //only relevant after merge
         success &= isNull("DerivedFromGuid2", destRS, id);  //only relevant after merge
         return success;
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
index 71438bf1..21b0f13e 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
@@ -75,7 +75,8 @@ import eu.etaxonomy.cdm.strategy.cache.name.ZooNameNoMarkerCacheStrategy;
  * The export class for {@link eu.etaxonomy.cdm.model.name.TaxonNameBase TaxonNames}.<p>
  * Inserts into DataWarehouse database table <code>Taxon</code>.
  * It is divided into four phases:<p><ul>
- * <li>Phase 1:	Export of all {@link eu.etaxonomy.cdm.model.name.TaxonName TaxonNames} except some data exported in the following phases.
+ * <li>Phase 1:	Export of all taxon and taxon name data
+ *                     except for some data exported in the following phases.
  * <li>Phase 2:	Export of additional data: ParentTaxonFk and TreeIndex.
  * <li>Phase 3:	Export of additional data: Rank data, KingdomFk, TypeNameFk, expertFk and speciesExpertFk.
  * <li>Phase 4:	Export of Inferred Synonyms.</ul>
@@ -478,7 +479,6 @@ public class PesiTaxonExport extends PesiExportBase {
 		int limit = state.getConfig().getLimitSave();
 
 		logger.info("PHASE 3: Add Rank data, KingdomFk, TypeNameFk, expertFk and speciesExpertFk...");
-		// Be sure to add rank information, KingdomFk, TypeNameFk, expertFk and speciesExpertFk to every taxonName
 
 		// Start transaction
 		TransactionStatus txStatus = startTransaction(true);
@@ -2148,7 +2148,7 @@ public class PesiTaxonExport extends PesiExportBase {
 	 * @return The <code>ExpertName</code> attribute.
 	 * @see MethodMapper
 	 */
-	@SuppressWarnings("unused")  //for some reason it is also called by getCacheCitation
+	//@SuppressWarnings("unused")  //for some reason it is also called by getCacheCitation
 	private static String getExpertName(TaxonBase<?> taxon) {
 		try {
 		    String result = null;
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
index 7dd4d547..ec6c3964 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
@@ -52,7 +52,6 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationship;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
-import eu.etaxonomy.cdm.strategy.exceptions.UnknownCdmTypeException;
 
 /**
  * @author e.-m.lee
@@ -296,7 +295,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 	private static int Taxa_infragen = 280;
 	private static int Taxa_infraspec = 285;
 
-
 	//NoteCategory
 	private static int NoteCategory_description = 1;
 	public static int NoteCategory_ecology = 4;
@@ -604,7 +602,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 	private static int AREA_SERBIA = 294;
 	private static int AREA_KOSOVO = 295;
 
-
 	//FauEu area UUIDs
     private static UUID uuidAreaAD = UUID.fromString("38dd31d2-8275-4b05-8b85-eb71a390d67f");
     private static UUID uuidAreaAFR = UUID.fromString("c3123386-51a4-42a4-9ff4-b3905b18a83c");//x
@@ -714,15 +711,12 @@ public final class PesiTransformer extends ExportTransformerBase{
 	private final Map<Integer, Map<Integer, String>> rankCacheMap  = new  HashMap<>();
 	private final Map<Integer, Map<Integer, String>> rankAbbrevCacheMap  = new  HashMap<>();
 
+    private final Source destination;
 
-	private final Source destination;
-
-	public PesiTransformer(Source destination) {
-		super();
-		this.destination = destination;
-		fillMaps();
-	}
-
+    public PesiTransformer(Source destination) {
+        this.destination = destination;
+        fillMaps();
+    }
 	private void fillMaps() {
 		try {
 		    //TDWG
@@ -838,7 +832,6 @@ public final class PesiTransformer extends ExportTransformerBase{
                     oldId = languageCodeToKeyMap.put(iso639_3, id);
                     checkOldId(id, oldId, iso639_1);
                 }
-
             }
 			rs = null;
 		} catch (Exception e) {
@@ -879,8 +872,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 	/**
 	 * Converts the databaseString to its abbreviation if its known.
 	 * Otherwise the databaseString is returned.
-	 * @param databaseString
-	 * @return
 	 */
 	public static String databaseString2Abbreviation(String databaseString) {
 		String result = databaseString;
@@ -892,9 +883,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 
 	/**
 	 * Returns the OccurrenceStatusId for a given PresenceAbsenceTerm.
-	 * @param term
-	 * @return
-	 * @throws UnknownCdmTypeException
 	 */
 	public static Integer presenceAbsenceTerm2OccurrenceStatusId(PresenceAbsenceTerm term) {
 		Integer result = null;
@@ -2301,8 +2289,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 
 	/**
 	 * Returns the NoteCategoryFk for a given UUID representing an ExtensionType.
-	 * @param uuid
-	 * @return
 	 */
 	public static Integer getNoteCategoryFk(UUID uuid) {
 		Integer result = null;
@@ -2318,8 +2304,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 
 	/**
 	 * Returns the NoteCategoryCache for a given UUID representing an ExtensionType.
-	 * @param uuid
-	 * @return
 	 */
 	public static String getNoteCategoryCache(UUID uuid) {
 		String result = null;
@@ -2378,7 +2362,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		}
 	}
 
-
 	public Object getSourceUseCacheByKey(Integer sourceUseFk) {
 		if (sourceUseFk == null){
 			return null;
@@ -2424,7 +2407,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		if (sources.contains(PesiSource.ERMS)){
 			result = CdmUtils.concat(",", result,  SOURCE_STR_ERMS);
 		}
-
 		return result;
 	}
 